Need the Sansa Updater 1.083 version

Hey fellows,

Need your help getting the older version of the sansa updater.

the latest version doesnt give me the option to choose a region, which i need for my language…

any solution to that problem beside downloading the previous version?

thanx…

You can upgrade your device manually. Get the right firmware from the device thread (in this forum) and copy the file into your device, unplug and it should do the rest.